/**
 * 公用的返回处理
 */
export interface Result<T> {
    /**
     * 返回的code
     */
    code: string;
    /**
     * 返回的消息
     */
    message: string;
    /**
     * 时间
     */
    time: number;
    /**
     * 返回的数据
     */
    data: T;
}
/**
 * 返回总条数业务
 */
export interface ResponseManagerModel<T> {
    /**
     * 返回的条数
     */
    rows: Array<T>;
    /**
     * 总行数
     */
    total: number;
    /**
     * 总页数
     */
    totalPage: number;
    /**
     * 当前页
     */
    currentPage: number;
    /**
     * 显示的条数
     */
    pageSize: number;
}
