"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseService = void 0;
const Annotation_1 = require("../annotation/Annotation");
const DefaultHttpRequest_1 = require("../service/DefaultHttpRequest");
/**
 * 基本接口定义
 * T 表单类型
 * S 筛选类型
 * R 列表返回类型
 * ID 主键
 */
class BaseService {
    /**
     * 获取请求对象
     */
    getHttpRequest() {
        return this.httpRequest;
    }
    /**
     * 多条删除<根据主键删除>
     * @param ids
     */
    deletes(ids) {
        return this.getHttpRequest().execute(ids);
    }
    /**
     * 单条删除<根据主键删除>
     * @param id
     */
    delete(id) {
        return this.getHttpRequest().execute(id);
    }
    /**
     * 根据主键查询
     * @param id
     */
    findById(id) {
        return this.getHttpRequest().execute(id);
    }
    /**
     * 添加
     * @param data
     */
    insert(data) {
        return this.getHttpRequest().execute(data);
    }
    /**
     * 不分页查询
     * @param data
     */
    query(data) {
        return this.getHttpRequest().execute(data);
    }
    /**
     * 分页查询
     * @param data
     */
    queryListPage(data) {
        return this.getHttpRequest().execute(data);
    }
    /**
     * 返回总条数的分页查询
     * @param data
     */
    queryManagerListPage(data) {
        return this.getHttpRequest().execute(data);
    }
    /**
     * 修改
     * @param data 为request<Model> 对象
     */
    update(data) {
        return this.getHttpRequest().execute(data);
    }
}
__decorate([
    (0, Annotation_1.Resource)(),
    __metadata("design:type", DefaultHttpRequest_1.DefaultHttpRequest)
], BaseService.prototype, "httpRequest", void 0);
exports.BaseService = BaseService;
